Results 1 to 6 of 6

Thread: Metasploit Not updating

Hybrid View

  1. #1
    Member
    Join Date
    Feb 2010
    Posts
    69

    Default Metasploit Not updating

    I tried running.....
    sudo svn update /opt/metasploit3/msf3/
    adn this is what I get

    U /opt/metasploit3/msf3/lib/msf/core/model/campaign.rb
    svn: Failed to add file '/opt/metasploit3/msf3/lib/msf/core/model/exploited_host.rb': an unversioned file of the same name already exists

    apt-get update, does nothing.
    I can't even updating anything in fastrack, in SET I get the same error.
    Whats going on?

  2. #2
    Senior Member hypervista's Avatar
    Join Date
    Feb 2010
    Posts
    121

    Default Re: Metasploit Not updating

    Seriously dude, this has been discussed plenty:

    Code:
    /pentest/exploits/framework3 msfupdate
    Code:
    /pentest/exploits/SET svn update
    Last edited by hypervista; 10-01-2010 at 06:59 PM.

  3. #3
    Member
    Join Date
    Feb 2010
    Posts
    69

    Default Re: Metasploit Not updating

    Quote Originally Posted by hypervista View Post
    Seriously dude, this has been discussed plenty:

    Code:
    /pentest/exploits/framework3 msfupdate
    Code:
    /pentest/exploits/SET svn update
    and here's what i get.

    Updating Metasploit from https://www.metasploit.com/svn/framework3/trunk...
    A scripts/meterpreter/duplicate.rb
    U lib/msf/core/db.rb
    U lib/msf/core/model/host.rb
    U lib/msf/core/model/workspace.rb
    U lib/msf/core/model/service.rb
    A lib/msf/core/model/web_vuln.rb
    svn: Failed to add file 'lib/msf/core/model/exploited_host.rb': an unversioned file of the same name already exists

    Error: cleaning up the SVN directory and retrying...
    svn: Failed to add file 'lib/msf/core/model/exploited_host.rb': an unversioned file of the same name already exists

    Error: please check connectivity to the following URL:
    https://www.metasploit.com/svn/framework3/trunk

  4. #4
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: Metasploit Not updating

    Quote Originally Posted by Nazagul View Post
    and here's what i get.

    Updating Metasploit from https://www.metasploit.com/svn/framework3/trunk...
    A scripts/meterpreter/duplicate.rb
    U lib/msf/core/db.rb
    U lib/msf/core/model/host.rb
    U lib/msf/core/model/workspace.rb
    U lib/msf/core/model/service.rb
    A lib/msf/core/model/web_vuln.rb
    svn: Failed to add file 'lib/msf/core/model/exploited_host.rb': an unversioned file of the same name already exists

    Error: cleaning up the SVN directory and retrying...
    svn: Failed to add file 'lib/msf/core/model/exploited_host.rb': an unversioned file of the same name already exists

    Error: please check connectivity to the following URL:
    https://www.metasploit.com/svn/framework3/trunk
    Note the red line. Can you understand?

    Code:
    root@bt:/pentest/exploits/framework3# svn help
    And now?

    Regards,
    (gdb) disass m(y_br)ain

    ®

  5. #5
    Member
    Join Date
    Feb 2010
    Posts
    69

    Default Re: Metasploit Not updating

    AH thank you, I had to delete the said file, then it worked.
    wasn't sure that svn could do that.

  6. #6
    Just burned his ISO
    Join Date
    Sep 2010
    Posts
    8

    Default Re: Metasploit Not updating

    Running latest BT in VM.
    in /pentest/exploits/framework3

    I tried the svn --force delete test/lib/regexr.rb.ut

    then re-ran msfupdate

    Got another error that regexr.rb is unversioned.

    Deleted it, next file error. deleted it another file error.... I have millions of file errors when trying to run msfupdate.

    Following this guide: https://metasploit.com/redmine/proje...tall_BackTrack
    doesnt help because /pentest/svn doesnt exist.

    Honestly, what broke my update was running the svn update in /opt/metasploit3/msf3# svn update
    EDIT: Now I believe that the apt-get update and upgrade is what broke the msfupdate because the update brought msfconsole to ver 3.5-dev but then I did the msfupdate, it brought it back down to 3.4.2-dev. Now msfupdate cannot update because the repos are ahead but msf are behind. That is what I think is happening.

    Then thereafter I cannot do the regular msfupdate. Reason why I tried the svn update is because one guide said to use it. While running msfupdate and then msfconsole, it said it been 50 days since the last update. Now after svn update, it's brokken.

    EDIT: I solved this by
    apt-get remove framework3

    then installing the latest framework from their website: http://www.metasploit.com/framework/download

    Now I have the latest version and updating works.
    Last edited by gambitz; 11-01-2010 at 11:26 PM.

Similar Threads

  1. updating metasploit from behind a proxy!!
    By mango_leech in forum Beginners Forum
    Replies: 1
    Last Post: 03-31-2010, 10:18 PM
  2. Updating BT4
    By MassAppeal in forum Beginners Forum
    Replies: 3
    Last Post: 02-02-2010, 01:03 PM
  3. updating..?
    By breakbone in forum OLD Newbie Area
    Replies: 1
    Last Post: 06-28-2008, 03:01 AM
  4. What to do next (updating)
    By peehead in forum OLD Newbie Area
    Replies: 5
    Last Post: 01-09-2008, 07:11 AM
  5. updating
    By ats1080 in forum OLD LiveCD Support
    Replies: 5
    Last Post: 09-14-2007, 07:24 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •